Create a concept folder

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
POST /data/projects/{project_id}/concept-folders

Create a concept folder in a project. If a folder already has this name, the route returns this folder. You must be a manager or a supervisor of the project.

Path parameters

  • project_id string(uuid) Required

    Unique identifier of the project

application/json

Body Required

  • name string Required

    Concept folder name

Responses

  • 201 application/json

    The concept folder

    Hide response attributes Show response attributes object
    • id string(uuid)

      Concept folder unique identifier

    • name string

      Concept folder name

    • project_id string(uuid)

      Project identifier

    • created_by string(uuid)

      Creator person identifier

    • created_at string(date-time)

      Creation timestamp

    • updated_at string(date-time)

      Last update timestamp

  • 400

    The name is not valid

  • 403

    You are not a manager or a supervisor of the project

POST /data/projects/{project_id}/concept-folders
curl \
 --request POST '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/concept-folders' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{
  "name": "Characters"
}'
Request examples
{
  "name": "Characters"
}
Response examples (201)
{
  "id": "e68e02e8-a219-8009-e514-91897426a691",
  "name": "Characters",
  "project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "created_by": "d57d91d7-f108-7998-d403-80786315f580",
  "created_at": "2023-01-01T12:00:00Z",
  "updated_at": "2023-01-01T12:00:00Z"
}